Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceAccountTypeAbstract

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccountTypeAbstract

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `VoiceAccountType`, `VoiceOperAccountType`

public class VoiceAccountTypeAbstract extends Entity

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `isOperator`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceAccountTypeAbstract()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfig()`
  `boolean`
  `isOperator()`
  `VoiceAccountTypeAbstract`
  `setConfig(String config)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### isOperator

    protected boolean isOperator

- ## Constructor Details

  - ### VoiceAccountTypeAbstract

    public VoiceAccountTypeAbstract()

- ## Method Details

  - ### isOperator

    public boolean isOperator()

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public VoiceAccountTypeAbstract setConfig(String config)